Bug 986719 - geos-php compiled with wrong module
geos-php compiled with wrong module
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: geos (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Devrim GÜNDÜZ
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-21 18:34 EDT by John Thomas
Modified: 2015-02-17 11:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:17:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Thomas 2013-07-21 18:34:02 EDT
Description of problem:  geos-php compiled with wrong module
PHP Warning:  PHP Startup: geos: Unable to initialize module\nModule compiled with module API=20100525\nPHP    compiled with module API=20121212\nThese options need to match\n in Unknown on line 0


Version-Release number of selected component (if applicable):
[root@www01 httpd]# rpm -qa | grep geos
geos-3.3.8-2.fc19.x86_64
geos-php-3.3.8-2.fc19.x86_64


How reproducible:
Start webserver, geos-php will not load

Steps to Reproduce:
1. yum install geos-php
2. systemctl restart httpd
3. fail

Actual results:
geos-php not loaded

Expected results:
geos-php loaded

Additional info:
I just fedup updated from Fedora 18.  Fedora 18 works fine.
[root@www01 httpd]# rpm -qa | grep http
httpd-tools-2.4.4-6.fc19.x86_64
httpd-2.4.4-6.fc19.x86_64
libmicrohttpd-0.9.27-1.fc19.x86_64
[root@www01 httpd]# rpm -qa | grep php
php-process-5.5.0-2.fc19.x86_64
php-mbstring-5.5.0-2.fc19.x86_64
php-pear-1.9.4-19.fc19.noarch
php-cli-5.5.0-2.fc19.x86_64
php-mysqlnd-5.5.0-2.fc19.x86_64
php-pecl-memcached-2.1.0-7.fc19.x86_64
php-xml-5.5.0-2.fc19.x86_64
php-mcrypt-5.5.0-2.fc19.x86_64
php-bcmath-5.5.0-2.fc19.x86_64
geos-php-3.3.8-2.fc19.x86_64
php-pecl-geoip-1.0.8-5.fc19.x86_64
php-opcache-5.5.0-2.fc19.x86_64
php-pecl-jsonc-1.3.1-1.fc19.x86_64
php-5.5.0-2.fc19.x86_64
php-php-gettext-1.0.11-7.fc19.noarch
php-pecl-igbinary-1.1.2-0.5.git3b8ab7e.fc19.x86_64
phpMyAdmin-3.5.8.1-1.fc19.noarch
php-pecl-imagick-3.1.0-0.6.RC2.fc19.x86_64
php-pdo-5.5.0-2.fc19.x86_64
php-common-5.5.0-2.fc19.x86_64
php-gd-5.5.0-2.fc19.x86_64
Comment 1 Fedora End Of Life 2015-01-09 14:02:12 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-02-17 11:17:27 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.